MarinerWrtParserInternal::State Struct Reference

Internal: the state of a MarinerWrtParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::vector< Zone > | m_zonesList
| the list of zone
std::map< uint32_t, int > | m_fileToZoneMap
| a map fileZoneId -> localZoneId
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
bool | m_firstPageFooter
| a flag to know if we have a first page footer
bool | m_hasOddEvenHeaderFooter
| a flag to know if we have odd/even header footer

## Detailed Description

Internal: the state of a MarinerWrtParser.

## Constructor & Destructor Documentation

## ◆ State()

MarinerWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MarinerWrtParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_fileToZoneMap

std::map<uint32_t,int> MarinerWrtParserInternal::State::m_fileToZoneMap

a map fileZoneId -> localZoneId

Referenced by State().

## ◆ m_firstPageFooter

bool MarinerWrtParserInternal::State::m_firstPageFooter

a flag to know if we have a first page footer

Referenced by State().

## ◆ m_hasOddEvenHeaderFooter

bool MarinerWrtParserInternal::State::m_hasOddEvenHeaderFooter

a flag to know if we have odd/even header footer

Referenced by State().

## ◆ m_numPages

int MarinerWrtParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_zonesList

std::vector<Zone> MarinerWrtParserInternal::State::m_zonesList

the list of zone

Referenced by State().

The documentation for this struct was generated from the following file:

- MarinerWrtParser.cxx